<?php

/**
 * Active Callbacks
 *
 * @package doctor_physician
 */

// Theme Options.
function doctor_physician_is_pagination_enabled( $doctor_physician_control ) {
	return ( $doctor_physician_control->manager->get_setting( 'doctor_physician_enable_pagination' )->value() );
}
function doctor_physician_is_breadcrumb_enabled( $doctor_physician_control ) {
	return ( $doctor_physician_control->manager->get_setting( 'doctor_physician_enable_breadcrumb' )->value() );
}
function doctor_physician_is_layout_enabled( $doctor_physician_control ) {
	return ( $doctor_physician_control->manager->get_setting( 'doctor_physician_website_layout' )->value() );
}
function doctor_physician_is_pagetitle_bcakground_image_enabled( $doctor_physician_control ) {
	return ( $doctor_physician_control->manager->get_setting( 'doctor_physician_page_header_style' )->value() );
}
function doctor_physician_is_preloader_style( $doctor_physician_control ) {
	return ( $doctor_physician_control->manager->get_setting( 'doctor_physician_enable_preloader' )->value() );
}

// Header Options.
function doctor_physician_is_topbar_enabled( $doctor_physician_control ) {
	return ( $doctor_physician_control->manager->get_Setting( 'doctor_physician_enable_topbar' )->value() );
}

// Banner Slider Section.
function doctor_physician_is_banner_slider_section_enabled( $doctor_physician_control ) {
	return ( $doctor_physician_control->manager->get_setting( 'doctor_physician_enable_banner_section' )->value() );
}
function doctor_physician_is_banner_slider_section_and_content_type_post_enabled( $doctor_physician_control ) {
	$doctor_physician_content_type = $doctor_physician_control->manager->get_setting( 'doctor_physician_banner_slider_content_type' )->value();
	return ( doctor_physician_is_banner_slider_section_enabled( $doctor_physician_control ) && ( 'post' === $doctor_physician_content_type ) );
}
function doctor_physician_is_banner_slider_section_and_content_type_page_enabled( $doctor_physician_control ) {
	$doctor_physician_content_type = $doctor_physician_control->manager->get_setting( 'doctor_physician_banner_slider_content_type' )->value();
	return ( doctor_physician_is_banner_slider_section_enabled( $doctor_physician_control ) && ( 'page' === $doctor_physician_content_type ) );
}

// Service section.
function doctor_physician_is_service_section_enabled( $doctor_physician_control ) {
	return ( $doctor_physician_control->manager->get_setting( 'doctor_physician_enable_service_section' )->value() );
}
function doctor_physician_is_service_section_and_content_type_post_enabled( $doctor_physician_control ) {
	$content_type = $doctor_physician_control->manager->get_setting( 'doctor_physician_service_content_type' )->value();
	return ( doctor_physician_is_service_section_enabled( $doctor_physician_control ) && ( 'post' === $content_type ) );
}
function doctor_physician_is_service_section_and_content_type_page_enabled( $doctor_physician_control ) {
	$content_type = $doctor_physician_control->manager->get_setting( 'doctor_physician_service_content_type' )->value();
	return ( doctor_physician_is_service_section_enabled( $doctor_physician_control ) && ( 'page' === $content_type ) );
}